post
https://gwi.dv.optt.ca/gateway/profile/token/google
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
3- Header of API :
Authorization = Basic b3B0dC0wMmVlNzdkYy1hYzQ1LTQzNDQtODE3ZS0xN2NhNTJiNThiNWQ6c2VjcmV0LTljMThjMWQ2LWU3dDUtNDdlNS04ZnQ1LTk3Z2hrcTFhM2V6ZA==A complete example of an API call:
curl -X POST "https://gwi.dv.optt.ca/gateway/profile/token/google?client_id=1&client_secret=1&grant_type=authorization_code&code=2&user_type=CLIENT&clinic_optt_id=3" -H "accept: */*" -H "Authorization: bearer eyJhbGciOiJSUzI1NiIsInR5cCI6IkpXVCJ9.eyJleHAiOjE1OTk5MjYyNTgsInVzZXJfbmFtZSI6Imluc3RpdHV0ZSIsImF1dGhvcml0aWVzIjpbIklOU1RJVFVURSJdLCJqdGkiOiIyZDMzNGY5YS01OWFmLTRjMzctOWE0OS1iMGU4NzBhNTQzZjQiLCJjbGllbnRfaWQiOiJvcHR0LTAyZWU3N2RjLWFjNDUtNDM0NC04MTdlLTE3Y2E1MmI1OGI1ZCIsInNjb3BlIjpbInJlYWQiLCJ3cml0ZSJdfQ.ANh2KLL4IfolkPfaJ3JsUYQTFkpKxlXT5vCKzkwhvJsqUO5eBSErYB5H6c2kQvB3EWfLlFZAo1QQAgbHpkUm776qijWcncv77uT-drBvscInvBu0ahQh96Fdn9eXnbXrCBgt80RsZKkFI4W7SrziiVpXlFuUjKL4Jm5CkuK5dmAB6nPXJGnKx0qqg0uHfuHsHvJxfeoiqwz481oJ48dUx8W-CVDDAo79twFfqCmAm_yy8kgJe67_nGYfWPu6wY9Z5YCDnLiVM6Ky8md-hcQhScTIRAHql7nebfUIPb8h_J7jQbhAg2IwVLp92Xccp_F9gmeOu4O6dWy08Amstt1l2A"API inputs :
| client_id | This is your company-specific code generated by OPTT (for the test) |
| client_Secret | This is your company-specific code generated by OPTT (for the test) |
| code | Get it from the identity provider by sending the client code and client secret |
| user_type | CLIENT |
| clinic_optt_id | Your clinic ID in OPTT |
201Created
400code with client_id and client_secret not found exception
401Unauthorized app
403Forbidden
404Not Found

